Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Liniendicke von 2D-Polylinien

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Liniendicke von 2D-Polylinien (702 mal gelesen)
vision
Mitglied



Sehen Sie sich das Profil von vision an!   Senden Sie eine Private Message an vision  Schreiben Sie einen Gästebucheintrag für vision

Beiträge: 100
Registriert: 27.10.2003

AutoCAD 2015
Expresstools
Windows 10

erstellt am: 16. Jan. 2009 10:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich muss in vielen Zeichnungen die 2D-Polylinien mit der Liniendicke von 0,7 in 0,9 ändern. Das Programm muss alle 2D-Polylinien mit der Stärke 0,7 suchen und in 0,9 ändern. Das sollte automatisch per Lisp-Programm geschehen.
Wer wäre so nett und schreibt mir das Lisp-Programm in Kurzform?

Für Eure Bemühungen bedanke ich mich im Voraus. 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13322
Registriert: 30.11.2003

.

erstellt am: 16. Jan. 2009 10:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für vision 10 Unities + Antwort hilfreich

Ich wäre so nett, wohin soll ich das Angebot für das Tool schicken ?

Oder gibts ein Lispproblem, wo du stecken geblieben bist und wo ich dir im Rahmen der Forenhilfe  vielleicht Denkanstöße in die richtige Richtung geben kann ?

Wie sieht denn dein bisheriger Code aus?

Hinweis: mit ActivX läßt sich das rel. einfach über Auslesen und Setzen der Property "ConstantWidth" realisieren . -> Vielleicht wird du ja mit dem Stichwort per google fündig. ?!
------------------
      - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 18058
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 16. Jan. 2009 10:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für vision 10 Unities + Antwort hilfreich

@Vision
Nutze ScriptPro oder SCC oder sonst eine Möglichkeit eines "Batchbetrieb"
und lasse ein Script in jeder Datei laufen was zB. so aussieht:


Dabei werden natürlich nur Polylinien geändert die nicht in Blöcken sind,
auch kann es nicht mit alten Polylinien umgehen - daher zunächst ein
Convert vorab (wandelt alte in neue LWPolylines um)

Wenn es dir so ausreicht: Dein Glück - ansonsten mußt du auf jemanden warten
der mehr langeweile hat ;D


;#####################################################################
; SCRIPT: Convert/Polyline & ändert PL´s mit globaler LW=0.7 auf 0.9
;#####################################################################
_CONVERT _P _AL
(setq n 0)
(repeat (sslength(setq ss (ssget"_X"'((0 . "LWPOLYLINE")(43 . 0.7)))))
  (entmod(subst'(43 . 0.9)'(43 . 0.7)(entget(ssname ss n))))
  (setq n (1+ n))
)
_.qsave
;#####################################################################

------------------
die alte SUCHfunktion.. - System-Angaben - User:FAQ(Adesk)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

vision
Mitglied



Sehen Sie sich das Profil von vision an!   Senden Sie eine Private Message an vision  Schreiben Sie einen Gästebucheintrag für vision

Beiträge: 100
Registriert: 27.10.2003

AutoCAD 2015
Expresstools
Windows 10

erstellt am: 16. Jan. 2009 12:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo, erst mal Danke für die Antworten!

Meine Änderung für die "alte" 2d-Polylinie funktioniert so leider nicht!

defun c:P09 ( / )
(setq n 0)
(repeat (sslength(setq ss (ssget"_X"'((0 . "POLYLINE")(40 . 0.7)))))
  (entmod(subst'(40 . 0.9)'(41 . 0.9)(entget(ssname ss n))))
  (setq n (1+ n))
)
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tunnelbauer
Ehrenmitglied V.I.P. h.c.
Bauingenieur



Sehen Sie sich das Profil von tunnelbauer an!   Senden Sie eine Private Message an tunnelbauer  Schreiben Sie einen Gästebucheintrag für tunnelbauer

Beiträge: 7085
Registriert: 13.01.2004

ich hab eh keine Probleme damit...

erstellt am: 16. Jan. 2009 12:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für vision 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:

_CONVERT _P _AL

Deswegen steht ja bei cadffm auch diese Zeile dabei... und er hat explizit daraufhingewiesen, dass es nicht bei alten geht...

Oder was ist jetzt dein Problem?

------------------
Grüsse

Thomas

Korrekturen zum Kochbuch AutoLISP

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 18058
Registriert: 14.06.2002

System: F1
und Google

erstellt am: 16. Jan. 2009 12:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für vision 10 Unities + Antwort hilfreich

erzähl doch erstmal warum dir meine Methode nicht gefällt    ,
dann sage ich dir auch wie eine "alte" Polylinie aufgebaut ist -
oder du schaust in die Hilfe, oder mit DBVIEW an einem Beispielobjekt.

------------------
die alte SUCHfunktion.. - System-Angaben - User:FAQ(Adesk)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

vision
Mitglied



Sehen Sie sich das Profil von vision an!   Senden Sie eine Private Message an vision  Schreiben Sie einen Gästebucheintrag für vision

Beiträge: 100
Registriert: 27.10.2003

AutoCAD 2015
Expresstools
Windows 10

erstellt am: 16. Jan. 2009 13:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

die "alten" 2D-Polylinien dürfen nicht umgewandelt werden (sind Leitungen im R&I-Schema).
Mir würde es evtl. auch weiterhelfen, wenn ich ein Beispiel für den Zugriff auf die Linienstärke und das Zurückschreiben der anderen Linienstärke hätte.

Gruß und Danke

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 892
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 16. Jan. 2009 13:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für vision 10 Unities + Antwort hilfreich

Breite oder Stärke
(weight or width)

von was sprichst du?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Technischer Systemplaner als Konstrukteur / Technischer Zeichner (m/w) im Bereich Heizung, Klima, Lüftung, Sanitär

UNDKRAUSS sucht Verbündete: WIR UNDKRAUSS sind im Komplettbau auf bundes- und europaweiter Ebene tätig. Für uns steht die vollste Zufriedenheit unserer Kunden im Vordergrund. Unsere engagierten und motivierten Mitarbeiterinnen und Mitarbeiter haben uns mit ihrem Engagement und ihrem hohen fachlichen Können zu dem gemacht, was wir heute sind.

In den vergangenen Jahren haben wir zahlreiche Projekte wie z....

Anzeige ansehenGebäude-, Versorgungs-, Sicherheitstechnik
CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13322
Registriert: 30.11.2003

.

erstellt am: 16. Jan. 2009 13:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für vision 10 Unities + Antwort hilfreich

die Linienstärke ist als ver-100-fachter Wert im GC 370 gespeichert

(cdr(assoc 370(entget(car(entsel"\nOBJwahl:"))))) liefert dir diese ..

die "Linienbreite" ist als Anfangs und Endbreite des Liniensegmentes in den einzelnen Vertex der 2d-PL gespeichert.


------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de